#!/bin/bash
#应用场景及说明: 文件的默认打开方式不对

DBUS_PATH=$1

function main() {
    local confirm_str="This tool will reset the default application configurations for the user. Do you wish to proceed with the execution?"
    local tr_confirm_str
    tr_confirm_str=$(Translate "${confirm_str}")

    local select
    select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
    if [ "${select}" == "no" ]; then
        exit 255
    fi

    rm  -f "/home/$(whoami)/.config/mimeapps.list"

    local msg="The issue has been successfully resolved"
    local tr_msg
    tr_msg=$(Translate "${msg}")
    ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
}

main
